Criar sessão de checkout
curl --request POST \
--url https://api.korbit.com.br/v1/checkout-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientReferenceId": "<string>"
}
'import requests
url = "https://api.korbit.com.br/v1/checkout-sessions"
payload = {
"offerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientReferenceId": "<string>"
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
offerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
clientReferenceId: '<string>'
})
};
fetch('https://api.korbit.com.br/v1/checkout-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkoutPath": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN"
}{
"checkoutPath": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"requestId": "<string>",
"status": 499,
"title": "<string>",
"type": "<string>",
"code": "<string>"
}Checkout
Criar sessão de checkout
Cria uma sessão de checkout de vida curta (30 min) para uma oferta publicada, com os dados do comprador já preenchidos — o comprador vai direto ao pagamento. A sessão resultante é a mesma usada pelo link de pagamento; o valor é fixado server-side a partir do snapshot da oferta.
POST
/
v1
/
checkout-sessions
Criar sessão de checkout
O token da sessão é entregue uma única vez na resposta e expira em 30 minutos. A página de checkout hospedada consome esse token — sua aplicação normalmente só precisa redirecionar o comprador.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 255Body
application/json
Was this page helpful?